#!/usr/bin/perl -w -I/usr/sausalito/perl
# $Id: ups-am-state.pl,v 1.4 2001/06/28 04:01:26 uzi Exp $
# Copyright 2001 Sun Microsystems, Inc., All rights reserved.
#
# Author: Joshua Uziel
# Enable and disable UPS Active Monitoring

use CCE;
use Sauce::Util;

my $cce = new CCE;
$cce->connectfd();
my ($ups_ok, $upsoid) = $cce->get($cce->event_oid(), 'UPS');
if (not $ups_ok) {
	$cce->bye('FAIL');
	exit(1);
}

# Get the Active Monitor OID
@oids = $cce->find('ActiveMonitor');
my ($am_ok, $amoid) = $cce->get($oids[0], 'UPS');
if (not $am_ok) {
	$cce->bye('FAIL');
	exit(1);
}

if (($upsoid->{state} eq 'master') or ($upsoid->{state} eq 'slave')) {
	# Turn on the UPS AM monitoring.
	$cce->set($oids[0], 'UPS', { enabled => '1' }) if ($#oids >= 0);
} else {
	# Disabled, turn it off.
	$cce->set($oids[0], 'UPS', { enabled => '0' }) if ($#oids >= 0);
}

$cce->bye('SUCCESS');
exit(0);

